package com.jh.boot.template.customizable;

import org.springframework.beans.factory.annotation.Autowired;

import com.jh.boot.template.Template;
import com.jh.boot.template.TemplateLoader;

public class CustomizableTemplateLoader implements TemplateLoader {

	@Autowired
	private CustomizableLabelsRepository repository;
	
	@Override
	public String loadTemplate(String code) {
		Template t = repository.fetchTemplate(code);
		if (t == null) {
			return null;
		}
		return t.getTemplate();
	}

}
